ClosureClassIgnoringComponentScanBeanDefinitionParser (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.context.annotation
[Java] Class ClosureClassIgnoringComponentScanBeanDefinitionParser

    java.lang.Object
      org.springframework.context.annotation.ComponentScanBeanDefinitionParser
          org.codehaus.groovy.grails.context.annotation.ClosureClassIgnoringComponentScanBeanDefinitionParser

    public class ClosureClassIgnoringComponentScanBeanDefinitionParser
    extends org.springframework.context.annotation.ComponentScanBeanDefinitionParser

Extends Spring's default <context:component-scan/> element to ignore generated classes.

Authors:
  Graeme Rocher
  Lari Hotari

Since:
  1.2

Method Summary
`protected org.springframework.context.annotation.ClassPathBeanDefinitionScanner` | `configureScanner(org.springframework.beans.factory.xml.ParserContext parserContext, org.w3c.dom.Element element)`
`protected org.springframework.context.annotation.ClassPathBeanDefinitionScanner` | `createScanner(org.springframework.beans.factory.xml.XmlReaderContext readerContext, boolean useDefaultFilters)`

Methods inherited from class org.springframework.context.annotation.ComponentScanBeanDefinitionParser
org.springframework.context.annotation.ComponentScanBeanDefinitionParser#parse(org.w3c.dom.Element, org.springframework.beans.factory.xml.ParserContext), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#wait(long, int), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#wait(long), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#wait(), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#equals(java.lang.Object), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#toString(), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#hashCode(), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#getClass(), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#notify(), org.springframework.context.annotation.ComponentScanBeanDefinitionParser#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### configureScanner

    @java.lang.Overrideprotected ClassPathBeanDefinitionScanner configureScanner(ParserContext parserContext, Element element) {
    protected org.springframework.context.annotation.ClassPathBeanDefinitionScanner configureScanner(org.springframework.beans.factory.xml.ParserContext parserContext, org.w3c.dom.Element element)

### createScanner

    @java.lang.Override
    protected org.springframework.context.annotation.ClassPathBeanDefinitionScanner createScanner(org.springframework.beans.factory.xml.XmlReaderContext readerContext, boolean useDefaultFilters)

Groovy Documentation